package com.gic.enterprise.filter;

import com.alibaba.fastjson.JSON;
import com.gic.enterprise.utils.UserDetailUtils;
import org.apache.dubbo.common.constants.CommonConstants;
import org.apache.dubbo.common.extension.Activate;
import org.apache.dubbo.rpc.*;

import java.util.Map;

@Activate(group = {CommonConstants.PROVIDER})
public class UserDetailFilter implements Filter {
    @Override
    public Result invoke(Invoker<?> invoker, Invocation invocation) throws RpcException {
        RpcContext context = RpcContext.getContext();
        Map<String, String> attachments = context.getAttachments();
        System.out.println("filter attachments"+ JSON.toJSONString(attachments));
        return invoker.invoke(invocation);
    }
}
